Update Section
curl --request POST \
--url https://api.partoo.co/v2/sections/{section_id} \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"name": "Country"
}
'import requests
url = "https://api.partoo.co/v2/sections/{section_id}"
payload = { "name": "Country" }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Country'})
};
fetch('https://api.partoo.co/v2/sections/{section_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"id": 1
}{
"errors": {
"json": {
"name": "name_already_exists"
}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Groups and Sections
Update Section
Update the name of a section.
This endpoint endpoint let’s you update an existing section. Only Group Managers and above can use this endpoint. Business Managers are restricted from accessing this endpoint. For more information about the group system, see the Groups and Sections description.
POST
/
sections
/
{section_id}
Update Section
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Section ID
Body
application/json
Request body to update a section
Name of the section. Cannot include any of the following characters: ,;/
Example:
"Country"
Was this page helpful?